<?php
session_start(); 
require_once ("../conexion.php");
require_once('../include/sesiones.php');
if (isset($_POST['art_id_bod'])){ $art_id_bod=$_POST['art_id_bod'];}
if (isset($_POST['art_id'])){$art_id=$_POST['art_id'];}
if (isset($_POST['nombre'])){$art_nombre=$_POST['nombre'];}
if (isset($_POST['referencia'])){ $referencia=$_POST['referencia'];}
if (isset($_POST['cantidad'])){$cantidad=$_POST['cantidad'];}
if (isset($_POST['precio'])){$precio=$_POST['precio'];}
if (isset($_POST['tipo'])){$tipo=$_POST['tipo'];}

if (!empty($cantidad))
{
    if ($tipo=='articulo')
    {
        $atri1=mysqli_query($con,"SELECT * FROM articulos_has_bodegas where art_id='$art_id_bod'");
        $atri1 = mysqli_fetch_array($atri1);
        $atributo1=$atri1['atributo1'];

        $atri11=mysqli_query($con,"SELECT * FROM atributos1 where atri_id='$atributo1'");
        $atri11 = mysqli_fetch_array($atri11);
        if (isset($atri11)) 
        {                    
            $atri_nombre=$atri11['atri_nombre'];
        }
        else
        {
            $atri_nombre='';
        }

        $atributo2=$atri1['atributo2'];
        $atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_id2='$atributo2'");
        $atri2 = mysqli_fetch_array($atri2);
        if (isset($atri2)) 
        {                    
            $atri_nombre2=' - '.$atri2['atri_nombre2'];
        }
        else
        {
            $atri_nombre2='';
        }

        $atributos=$atri_nombre .$atri_nombre2;


        $sqll=mysqli_query($con,"SELECT comt_art_id FROM combos_articulos_temp WHERE art_id_bod='$art_id_bod' and comt_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") ;
        if($roww=mysqli_fetch_array($sqll))
        { 	
            $can7=mysqli_query($con,"SELECT * FROM combos_articulos_temp WHERE art_id_bod='$art_id_bod' and comt_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));  
            $dato=mysqli_fetch_array($can7);
            $comt_art_id=$dato['comt_art_id'];            
            $comt_art_cantidad=$dato['comt_art_cantidad'];
            $suma=$comt_art_cantidad+$cantidad;
           	$registros=mysqli_query($con,"UPDATE combos_articulos_temp Set comt_art_cantidad='$suma'
           	Where art_id_bod='$art_id_bod' and comt_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));
        }
        else
        {   
          	$insert_tmp=mysqli_query($con, "INSERT INTO combos_articulos_temp (art_id_bod,comt_art_id,comt_art_referencia,comt_art_nombre,comt_art_cantidad,comt_art_precio,comt_tipo,usuario,empresa) 
          	VALUES ('$art_id_bod','$art_id','$referencia','$art_nombre $atributos','$cantidad','$precio','$tipo','$usu_id','$empresa')");
        }
    }
    if($tipo=='servicio' OR $tipo=='producto')
    {
        $sqll=mysqli_query($con,"SELECT comt_art_id FROM combos_articulos_temp WHERE art_id_bod='$art_id_bod' and comt_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") ;
        if($roww=mysqli_fetch_array($sqll))
        {   
            $can7=mysqli_query($con,"SELECT * FROM combos_articulos_temp WHERE art_id_bod='$art_id_bod' and comt_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));  
            $dato=mysqli_fetch_array($can7);
            $comt_art_id=$dato['comt_art_id'];            
            $comt_art_cantidad=$dato['comt_art_cantidad'];
            $suma=$comt_art_cantidad+$cantidad;
            $registros=mysqli_query($con,"UPDATE combos_articulos_temp Set comt_art_cantidad='$suma'
            Where art_id_bod='$art_id_bod' and comt_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));
        }
        else
        {   
            $insert_tmp=mysqli_query($con, "INSERT INTO combos_articulos_temp (art_id_bod,comt_art_id,comt_art_referencia,comt_art_nombre,comt_art_cantidad,comt_art_precio,comt_tipo,usuario,empresa) 
            VALUES ('$art_id_bod','$art_id','$referencia','$art_nombre','$cantidad','$precio','$tipo','$usu_id','$empresa')");
        }
    }
}





?>
<table class="table table-bordered table-hover table-striped">
<tr>
	<th width="10%">CODIGO</th>
	<th>DESCRIPCIÓN</th>
    <th width="15%">CANTIDAD</th>
    <th width="15%">PRECIO</th>
	<th width="5%"></th>
</tr>
<?php
	$sumador_total=0;
	$sql=mysqli_query($con, "SELECT * from combos_articulos_temp where usuario='$usu_id' and empresa='$empresa'");
	while ($row=mysqli_fetch_array($sql))
	{
	$id=$row["comt_id"];
	$comt_id=$row["comt_id"];
	$comt_art_id=$row['comt_art_id'];
    $art_referencia=$row["comt_art_referencia"];
    $art_nombre=$row["comt_art_nombre"];
	$comt_art_cantidad=$row['comt_art_cantidad'];
    $comt_art_precio=$row['comt_art_precio'];
    $total=$comt_art_cantidad*$comt_art_precio;
    $sumador_total+=$total;
?>
<tr>
	<td><?php echo $art_referencia;?></td>
	<td><?php echo $art_nombre;?></td>
	<td><input type="text" value="<?php echo $comt_art_cantidad;?>" class="form-control input-sm " onblur="update_cantidad(<?php echo $id;?>,this.value);"></td>
    <td><input type="text" value="<?php echo $comt_art_precio;?>" class="form-control input-sm " style="text-align:right" onblur="update_precio(<?php echo $id;?>,this.value);"  ></td>
	<td >
        <a href="#" id="del-<?php echo $row["comt_id"];?>" class="btn btn-xs btn-danger"> <i class="btn-icon-only icon-remove"></i></a>
		<script>
		$("#del-"+<?php echo $row["comt_id"];?>).click(function(e){
			e.preventDefault();
			p = confirm("Estas seguro?");
			if(p){
				$.get("./php_combos/eliminar_art_temp.php","comt_id="+<?php echo $row["comt_id"];?>,function(data){
					loadTabla();
				});
			}
		});
		</script></td>
		</tr>		
		<?php } ?>
    <tr>
    <th colspan="4"><H5><strong>TOTAL COMBO<span class="pull-right" style="color: red;padding-right: 8px"><?php echo number_format($sumador_total,0);?></span></strong></H5></th>
      <th></th>
</tr>
</table>
<script>
    $(document).ready(function(){
      load(1);
    });
 
    function update_cantidad(campo,valor){
      var parametros = {"action":"update","campo":campo,"valor":valor}; 
      $.ajax({
        type: "GET",
        url: "./php_combos/editar_cantidad.php",
        data: parametros,
         beforeSend: function(objeto){
          $("#resultados").html("Mensaje: Cargando...");
          },
        success: function(datos){
        $("#resultados").html(datos);
        loadTabla();
        }
          });
    } 
    function update_precio(campo,valor){
      var parametros = {"action":"update","campo":campo,"valor":valor}; 
      $.ajax({
        type: "GET",
        url: "./php_combos/editar_precio.php",
        data: parametros,
         beforeSend: function(objeto){
          $("#resultados").html("Mensaje: Cargando...");
          },
        success: function(datos){
        $("#resultados").html(datos);
         loadTabla();
        }
          });
    } 
</script>